package DistroDB::CLI::DebugName;

use strict;
use warnings;
use Exporter 'import';
our @EXPORT_OK = qw/$debug_obname $debug_oname $debug_dbname $debug_dname/;

# for specific package debugging
our $debug_obname='';
our $debug_oname='';
our $debug_dbname='';
our $debug_dname='';

our @LONGOPT=(
    'debug-obname=s' => \$debug_obname,
    'debug-oname=s' => \$debug_oname,
    'debug-dbname=s' => \$debug_dbname,
    'debug-dname=s' => \$debug_dname,
    );

my @usage_dsc=(
   'debug-obname=s' => 'origin binary name',
    'debug-oname=s' => 'origin name',
    'debug-dbname=s' => 'dest binary name',
    'debug-dname=s' => 'dest name',
    );

sub _usage {
    print "Debug options:\n";
    my @usage=@usage_dsc;
    while (@usage>0) {
	my $opt=shift @usage;
	my $dsc=shift @usage;
	print "\t--$opt $dsc\n";
    }
}

1;
