package ProjectDB::Pkg::RPM;

use strict;
use warnings;

sub new {
    my $class=shift;
    my $self={};
    my ($file, $name)=@_;
    my $rh=new RPM::Header $file;
    foreach my $key (qw/URL NAME VERSION SUMMARY DESCRIPTION/) {
	$self->{$key} = $rh->{$key};
    }
    $self->{-source_name} = $rh->source_name;
    bless $self, $class;
}

sub source_name {
    my $self=shift;
    return $self->{-source_name};
}


1;
